package logwire.core.bo.annotation;

import java.lang.annotation.*;

/**
 * 在BO类上的Query注解
 * BizQuery表示满足特定条件的BO数据。
 * 可作为BO查询时的查询条件、BO OperationHandler的执行约束、BO OperationEventHandler的执行约束、创建BO实例时的默认值。
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Repeatable(BizQueries.class)
public @interface BizQuery {

    String name();
    String label() default "";

    /**
     * BO LQL语法
     * @return
     */
    String restrictions();
}
