package logwire.core.bo.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 明细属性 @Item
 * 字段类型必须为BizItem<X>, X为BO类型，未指定时在注解中指定
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Item {
    String label() default "";

    /**
     * 明细表关联主表字段
     *
     * @return
     */
    String relationField();

    String referBoName() default "";

    /**
     * 明细表中用来存储Item名称的字段，用于区分多个明细字段引用同一个BO
     *
     * @return
     */
    String nameField() default "";

    /**
     * 明细表中用来存储顺序的字段
     * @return
     */
    String indexField() default "";

    /**
     * 为true时，主表刪除从表也刪除，否则将关联字段设为空
     * @return
     */
    boolean cascade() default true;
}
