package logwire.core.bo.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 多对多关联属性 @Many @SlaveMany
 * 字段类型必须是BizMany<X>, X为BO类型，未指定时可在注解中指定。主多对多定义会创建一张子表(Model)，子表名为：BO表名_TXT；包含的字段：
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Many {
    String label() default "";

    String referBoName() default "";
}
